Subject: Re: [PATCH] ppc32: Remove CONFIG_PMAC_PBOOK

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 29 Jun 2005 09:53:12 +1000

On Tue, 2005-06-28 at 10:57 +0200, Christoph Hellwig wrote:
> On Mon, Jun 27, 2005 at 02:39:16PM +1000, Benjamin Herrenschmidt wrote:
> > This patch removes CONFIG_PMAC_PBOOK (PowerBook support). This is now
> > split into CONFIG_PMAC_MEDIABAY for the actual hotswap bay that some
> > powerbooks have, CONFIG_PM for power management related code, and just
> > left out of any CONFIG_* option for some generally useful stuff that can
> > be used on non-laptops as well.
> 
> Can you clarify the CONFIG_PMAC_MEDIABAY for which powerbooks this
> is needed exactly?  AFAIK up to one of the G3 models, but you probably
> know better :)

3400/3500 models (603 & first G3), wallstreet and 101 afaik. Mostly old
models with a hotswap bay containing the CD-ROM, a floppy drive or an
additional battery.

Ben.